using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class PlayerUI : MonoBehaviour
{
    [SerializeField]
    private Image cooldownImage;

    private float cooldownTimer = 0f;

    public void updateCooldownUI(float rawCooldownTimer, float regenerateTime)
    {
        if (rawCooldownTimer <= 0)
            cooldownTimer = 0;
        else
            cooldownTimer = Mathf.Round(rawCooldownTimer) / regenerateTime;
        

        cooldownImage.fillAmount = cooldownTimer;
    }
}
